Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQWSKeyboardHandler Class Reference

The TQWSKeyboardHandler class implements the keyboard driver for TQt/Embedded. More...

`#include <qkeyboard_qws.h>`

Inherits TQObject.

List of all member functions.

## Public Members

- TQWSKeyboardHandler ()
- virtual ~TQWSKeyboardHandler ()

## Protected Members

- virtual void processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat )

## Detailed Description

The TQWSKeyboardHandler class implements the keyboard driver for TQt/Embedded.

The keyboard driver handles events from system devices and generates key events.

A TQWSKeyboardHandler will usually open some system device in its constructor, create a TQSocketNotifier on that opened device and when it receives data, it will call processKeyEvent() to send the event to TQt/Embedded for relaying to clients.

See also TQt/Embedded.

## Member Function Documentation

### TQWSKeyboardHandler::TQWSKeyboardHandler ()

Constructs a keyboard handler. The handler may be passed to the system for later destruction with TQWSServer::setKeyboardHandler(), although even without doing this, the handler can function, calling processKeyEvent() to emit events.

### TQWSKeyboardHandler::~TQWSKeyboardHandler ()`[virtual]`

Destroys a keyboard handler. Note that if you have called TQWSServer::setKeyboardHandler(), you must not delete the handler.

### void TQWSKeyboardHandler::processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat )`[virtual protected]`

Subclasses call this function to send a key event. The server may additionally filter the event before sending it on to applications.

Parameter | Meaning
--- | ---
unicode | The Unicode value for the key, or 0xFFFF is none is appropriate.
keycode | The TQt keycode for the key (see TQt::Key for the list of codes).
modifiers | The set of modifier keys (see TQt::Modifier).
isPress | Whether this is a press or a release.
autoRepeat | Whether this event was generated by an auto-repeat mechanism, or an actual key press.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.